Page MenuHomePhabricator

Add utm_medium to failed recur email
Open, MediumPublic1 Estimated Story Points

Description

We are currently sending people to

https://donate.wikimedia.org/wiki/Ways_to_Give?rdfrom=%2F%2Ffoundation.wikimedia.org%2Fw%2Findex.php%3Ftitle%3DWays_to_Give%2Fen%26redirect%3Dno#Monthly_gift

@Ejegg pointed out we could append utm_source & utm_medium to this url

I realise more consideration is being given to the text - but this might be a quick change we should do in the meantime

@spatton @MBeat33 @CCogdill_WMF Do you have any opinions on what this utm_medium and utm source should be?

@CCogdill_WMF @MBeat33

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 10:53 PM

Adding those would only work for a direct donation link. They have no effect on the Ways to Give page.

DStrine set the point value for this task to 1.Aug 3 2020, 8:29 PM
DStrine updated the task description. (Show Details)Aug 3 2020, 8:31 PM
DStrine added a subscriber: spatton.

Hmm, basing off what email does, I might do something like:
utm_medium=civi-mail
utm_campaign=FailedRecur
utm_source=FY2021_FailedRecur

But honestly I think the analysts should decide! Tagging in @EYener @jkumalah

EYener added a comment.Aug 3 2020, 9:16 PM

I might need more context here to give input. When does a failed recur email get sent out? What information might we want to report on and analyze? IE, would this affect multiple mediums / campaigns and would we want that level of granularity?

Based on @Pcoombe's comment, are there instances where 'dirty data' would come in and utm_ params would be misleading?

DStrine added a subscriber: DStrine.Aug 3 2020, 9:20 PM

@EYener this is automatically sent when a recurring donation fails after 3 attempts. there are many ways it can fail so this is a generic email. It basically says "something weird happened and your recurring donation stopped, please sign up for another one". The link will send them to set up a new donation. I like the suggestion @CCogdill_WMF gave.

EYener added a comment.Aug 3 2020, 9:24 PM

Ah cool! Thank you for explaining @DStrine. @CCogdill_WMF your suggestion makes sense to me! One more question, what were the utm_ params before / currently?

This is totally new as of like 2 months ago. We just figured it should have better tracking.

Change 619774 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] Add utm medium to failed recurring url

https://gerrit.wikimedia.org/r/619774

Change 619774 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add utm medium to failed recurring url

https://gerrit.wikimedia.org/r/619774

Again, this doesn't do anything on Ways to Give. There's no mechanism for Ways to Give to pass utm parameters in the URL onwards to the donation form, they will still have the default ones which are set on that page, currently utm_medium=Waystogive&utm_source=Waystogive&utm_campaign=C11_Waystogive

If you want me to add that feature, then I can, but no one has asked for it.

@Pcoombe thanks for the info. How much effort would that take? I will probably pause this task and wait until this is done. Also this isn't a super high priority for us.

DStrine triaged this task as Medium priority.Aug 13 2020, 4:11 PM

Assigning to Maggie, who did the work on this

@Pcoombe thanks for the info. How much effort would that take? I will probably pause this task and wait until this is done. Also this isn't a super high priority for us.

I don't think it will take too long, but it's not really a priority for me either with everything else that's going on.

DStrine closed this task as Resolved.Aug 18 2020, 7:53 PM
Pcoombe reopened this task as Open.Oct 16 2020, 7:34 PM

Re-opening this.

We could add extra code in Ways to Give to actually pass through this utm data. However I realised that we could also just link from the email directly to a form with monthly pre-selected, which is all that the link on Ways to Give does anyway. Would save me some work, and save donors a click.

https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_medium=civi-mail&utm_campaign=FailedRecur&utm_source=FY2021_FailedRecur&monthly=true

@MBeat33 would that work from a donor services perspective? Or would you prefer we still go via Ways to Give?

DStrine added a subscriber: Cstone.Oct 16 2020, 7:38 PM

The links already have this utm medium in the url but something else isn't setup for this to actually work. @Ejegg and @Cstone can you remember what was missing?

Ejegg added a comment.Oct 16 2020, 7:41 PM

@DStrine I think it's just the extra javascript that @Pcoombe mentions above.

Since the links in the email are going to the WaysToGive page, @Pcoombe would have to update all the links on WaysToGive so that they run a bit of javascript code and append the same utm_medium that is on the incoming link.